### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ManualConnectionFactoryConfiguration

java.lang.Object
com.sas.services.connection.ConnectionFactoryConfiguration
com.sas.services.connection.ManualConnectionFactoryConfiguration

All Implemented Interfaces:
  `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class ManualConnectionFactoryConfiguration extends ConnectionFactoryConfiguration
A connection factory configuration in which the servers, clusters, and puddles that the factory is to connect to are explicitly described.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManualConnectionFactoryConfiguration(Cluster cluster)`
  Create a configuration for an connection factory that creates and manages connections to the specified server cluster.
  `ManualConnectionFactoryConfiguration(Cluster[] clusters)`
  Create a configuration for an connection factory that creates and manages connections to the specified server clusters.
  `ManualConnectionFactoryConfiguration(Puddle puddle)`
  Create a configuration for an connection factory that creates and manages connections to the specified puddle.
  `ManualConnectionFactoryConfiguration(Puddle[] puddles)`
  Create a configuration for an connection factory that creates and manages connections to the specified puddles.
  `ManualConnectionFactoryConfiguration(Server server)`
  Create a configuration for an connection factory that creates and manages connections to the specified server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `Cluster[]`
  `getClusterArray()`
  Get the server clusters that factories with this configuration connect to.
  `protected Cluster[]`
  `getClustersNoCopy()`
  `Puddle[]`
  `getPuddleArray()`
  Get a copy of the puddles that factories with this configuration connect to.
  `protected Puddle[]`
  `getPuddlesNoCopy()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryConfiguration

  `getKernel, getKernel, getKernel, getKernelFromDelegate, getLogicalServerName, isNoRedirect, kernelDestroyed`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ManualConnectionFactoryConfiguration

    public ManualConnectionFactoryConfiguration(Server server)
    Create a configuration for an connection factory that creates and manages connections to the specified server. The server object is cloned immediately, and all connection factory operations use the internal copy. Changes to the original server object after construction of this configuration will not affect the behavior of the factory.
    Parameters:
      `server` - the server you want to make connections to

  - ### ManualConnectionFactoryConfiguration

    public ManualConnectionFactoryConfiguration(Cluster cluster)
    Create a configuration for an connection factory that creates and manages connections to the specified server cluster. The cluster object is cloned immediately, and all connection factory operations use the internal copy. Changes to the original cluster object after construction of this configuration will not affect the behavior of the factory.
    Parameters:
      `cluster` - the server cluster you want to make connections to

  - ### ManualConnectionFactoryConfiguration

    public ManualConnectionFactoryConfiguration(Cluster[] clusters)
    Create a configuration for an connection factory that creates and manages connections to the specified server clusters. The cluster array is cloned immediately, and all connection factory operations use the internal copy. Changes to the original cluster array after construction of this configuration will not affect the behavior of the factory.
    Parameters:
      `clusters` - the server clusters you want to make connections to

  - ### ManualConnectionFactoryConfiguration

    public ManualConnectionFactoryConfiguration(Puddle puddle)
    Create a configuration for an connection factory that creates and manages connections to the specified puddle. The puddle object is cloned immediately, and all connection factory operations use the internal copy. Changes to the original puddle object after construction of this configuration will not affect the behavior of the factory.
    Parameters:
      `puddle` - the puddle you want to make connections to

  - ### ManualConnectionFactoryConfiguration

    public ManualConnectionFactoryConfiguration(Puddle[] puddles)
    Create a configuration for an connection factory that creates and manages connections to the specified puddles. The puddle array is cloned immediately, and all connection factory operations use the internal copy. Changes to the original puddle array after construction of this configuration will not affect the behavior of the factory.
    Parameters:
      `puddles` - the puddles you want to make connections to

- ## Method Details

  - ### getClusterArray

    public Cluster[] getClusterArray()
    Get the server clusters that factories with this configuration connect to.
    Returns:
      the server clusters that factories with this configuration connect to

  - ### getPuddleArray

    public Puddle[] getPuddleArray()
    Get a copy of the puddles that factories with this configuration connect to.
    Returns:
      a copy of the puddles that factories with this configuration connect to

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `ConnectionFactoryConfiguration`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ConnectionFactoryConfiguration`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getClustersNoCopy

    protected Cluster[] getClustersNoCopy()

  - ### getPuddlesNoCopy

    protected Puddle[] getPuddlesNoCopy()